#ifndef SINGLETON_H
#define SINGLETON_H



/*------------------------------------------------
						ģʽ
-------------------------------------------------*/

template <class T>
class CSingleton
{
public:

	static T* GetSingletonPtr()
	{
		if(m_pInstance == NULL)
			m_pInstance = new T;
		return m_pInstance;
	}

	static T& GetSingleton() { return *GetSingletonPtr(); }


protected:
	CSingleton(){}
	~CSingleton(){}
	//ֹÿ캯͸ֵ캯
	CSingleton(const CSingleton&);
	CSingleton& operator= (const CSingleton&);

	static T* m_pInstance;
};

template <class T>
T* CSingleton<T>::m_pInstance = NULL;

#endif
