#include "stdafx.h"
#include "Tile.h"
#include "World.h"



eObjectType Tile::m_sType = eObjectType_Tile;

Tile::Tile( hgeSprite* pSpr ):
Object(pSpr)
{

}

Tile::~Tile()
{
	
}

void Tile::OnDestroy()
{
	hgeVector blastPos(m_pos.x+TILE_SIZE/2.0f, m_pos.y+TILE_SIZE/2.0f);
	World::GetSingleton().GetMovieManager().PlayMovie("TileBlast", blastPos);

	ObjectManager& objMgr = World::GetSingleton().GetObjectManager();
	objMgr.m_pHGE->Effect_Play(objMgr.m_blastSound);

	//³ͼ
	World::GetSingleton().SetTileLocation((int)(m_pos.x/TILE_SIZE), (int)(m_pos.y/TILE_SIZE), nullptr);
}
