#pragma once


//ǰ
class GameLevel;
class CGridEditDlg;


// CEditorView window

class CEditorView : public CWnd
{
public:
	CEditorView();
	virtual ~CEditorView();

	CGridEditDlg*	m_pGridEditDlg;
	GameLevel*		m_pGameLevel;

	int				GetActiveTileX() const { return m_activeTileX; }
	int				GetActiveTileY() const { return m_activeTileY; }

protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);


private:
	afx_msg void	OnPaint();
	afx_msg int		OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void	OnNewLevel();
	afx_msg void	OnOpenLevel();
	afx_msg void	OnSaveLevel();
	afx_msg void	OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void	OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void	OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void	OnTimer(UINT_PTR nIDEvent);
	DECLARE_MESSAGE_MAP()

	bool			m_bInEdit;
	int				m_activeTileX, m_activeTileY;	//ǰ༭Tile
	bool			m_bFlicker;
};

