#ifndef MENU_STATE_H
#define MENU_STATE_H

#include "AppState.h"


class hgeGUI;
class HGE;
struct hgeQuad;
class hgeFont;
class hgeSprite;
class hgeGUIMenuItem;

/************************************************************************/
/*							˵״̬									*/
/************************************************************************/

class CMenuState : public CAppState
{
public:
    CMenuState();
	virtual ~CMenuState();

	DECLARE_APPSTATE_CLASS(CMenuState)

	void enter();
	void createScene();
	void exit();
	void update(float timeSinceLastFrame);
	void render();

	static std::string StateName;

private:
	HGE*				m_pHGE;
	hgeGUI*				m_pGUI;
	hgeQuad				m_Bkgroud;
	HTEXTURE			m_hTexCursor;
	hgeFont*			m_pFont;
	hgeSprite*			m_pSprite;
	hgeGUIMenuItem*		m_menuItems[5];
	bool				m_bQuit;
};


#endif