#ifndef GAME_STATE_H
#define GAME_STATE_H

#include "AppState.h"

class HGE;
class hgeFont;


/************************************************************************/
/*							Ϸ״̬                                */
/************************************************************************/

class CPlayingState : public CAppState
{
public:
	CPlayingState();
	~CPlayingState();

	DECLARE_APPSTATE_CLASS(CPlayingState)

	void enter();
	void createScene();
	void exit();
	bool pause();
	void resume();
	void update(float timeSinceLastFrame);
	void render();

	static std::string StateName;

private:
	HGE*	m_pHGE;
	float	m_fPrologTime;	//ʱ
	hgeFont*	m_pFont;
	bool	m_bGameOver;
};


#endif