#ifndef ITEM_H
#define ITEM_H


#include "Object.h"
#include <functional>




/************************************************************************/
/*									Ʒ                             */
/************************************************************************/

class Item : public Object
{
	typedef std::tr1::function<void(void)> ItemEffectFunc;
public:
	Item(hgeSprite* pSprite);
	virtual ~Item() {}

public:
	virtual eObjectType	GetType() const { return m_sType; }
	virtual void		Update();
	virtual float		GetObjectSize() const { return ITEM_SIZE; }
	
public:
	void				SetFunc(ItemEffectFunc func) { m_func = func; }
	//Ʒ
	void				TakeEffect();

private:
	static eObjectType		m_sType;
	float					m_fTimeSinceBorn;
	float					m_fFlickerTime;
	bool					m_bStartFlicker;

	//strategyģʽػͬƷЧ
	ItemEffectFunc			m_func;
};



#endif