#ifndef TILE_H
#define TILE_H


#include "Object.h"
#include "GameDefine.h"


class hgeSprite;

/************************************************************************/
/*							θ	                                */
/************************************************************************/

class Tile : public Object
{
public:
	Tile(hgeSprite* pSpr);
	virtual ~Tile();

public:
	virtual eObjectType	GetType() const { return m_sType; }
	virtual void		Update() {}
	virtual void		OnDestroy();
	virtual float		GetObjectSize() const { return TILE_SIZE; }

public:
	void				SetProp(eTileProp prop) { m_prop = prop; }
	eTileProp			GetProp() const			{ return m_prop; }

private:
	static eObjectType	m_sType;
	eTileProp			m_prop;
};


#endif