#include "stdafx.h"
#include "Item.h"
#include "World.h"
#include "Tank.h"




eObjectType Item::m_sType = eObjectType_Item;

Item::Item( hgeSprite* pSprite ):
Object(pSprite),
m_fTimeSinceBorn(0),
m_fFlickerTime(0),
m_bStartFlicker(false)
{
	
}

void Item::Update()
{
	static const float fDisappearTime = 12, fBeginFlicker = 7;
	m_fTimeSinceBorn += TIME_PER_FRAME;

	//ʹƷʧǰ˸һʱ
	if (m_fTimeSinceBorn > fDisappearTime)
	{
		World::GetSingleton().AddToDestroyQueue(this);
	}
	else if (m_bStartFlicker)
	{
		m_fFlickerTime -= TIME_PER_FRAME;
		if (m_fFlickerTime < 0)
		{
			m_bVisible = !m_bVisible;
			m_fFlickerTime = 0.5f;
		}
	}
	else
	{
		if (m_fTimeSinceBorn > fBeginFlicker)
		{
			m_bStartFlicker = true;
			m_bVisible = false;
			m_fFlickerTime = 0.5f;
		}
	}
}

void Item::TakeEffect()
{
	m_func();
}
